thrift-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jake Farrell (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (THRIFT-3863) Can't "make install" Lua Library
Date Fri, 05 Oct 2018 03:10:00 GMT

     [ https://issues.apache.org/jira/browse/THRIFT-3863?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jake Farrell closed THRIFT-3863.
--------------------------------
       Resolution: Fixed
    Fix Version/s: 0.12.0

> Can't "make install" Lua Library
> --------------------------------
>
>                 Key: THRIFT-3863
>                 URL: https://issues.apache.org/jira/browse/THRIFT-3863
>             Project: Thrift
>          Issue Type: Bug
>          Components: Lua - Library
>    Affects Versions: 0.9.3, 0.10.0
>         Environment: OS X 10.11.3, ubuntu-artful docker image
>            Reporter: Hel Soule
>            Assignee: James E. King III
>            Priority: Minor
>             Fix For: 0.12.0
>
>   Original Estimate: 2h
>  Remaining Estimate: 2h
>
> I'm coming to Apache Thrift with a background in mobile development and Torch CNNs so
I apologize beforehand if this is a dumb question but I cannot build the Lua library. 
> In /lib/lua, when I try 
> sudo make install
> I get the following error that 
> /usr/bin/ld: cannot find -llualongnumber 
> I know that this error is because LD cannot find a .a or .so files, and I know that we
are generating .la files in the makefile so I am confused about how to resolve this linkage
issue. Any help would be appreciated. Thank you!



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message